unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, StdCtrls, ComCtrls, ToolWin, Clipbrd;

type
  TForm1 = class(TForm)
    ToolBar1: TToolBar;
    CutButton: TToolButton;
    CopyButton: TToolButton;
    PasteButton: TToolButton;
    ToolButton4: TToolButton;
    ExitButton: TToolButton;
    Memo1: TMemo;
    ImageList1: TImageList;
    ClearButton: TToolButton;
    ToolButton2: TToolButton;
    InfoButton: TToolButton;
    procedure CutButtonClick(Sender: TObject);
    procedure CopyButtonClick(Sender: TObject);
    procedure PasteButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure ClearButtonClick(Sender: TObject);
    procedure InfoButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.CutButtonClick(Sender: TObject);
begin
 Clipboard.SetTextBuf(PChar(Memo1.SelText));
 Memo1.SelText:='';
end;

procedure TForm1.CopyButtonClick(Sender: TObject);
begin
 Clipboard.SetTextBuf(PChar(Memo1.SelText));
end;

procedure TForm1.PasteButtonClick(Sender: TObject);
begin
 Memo1.SelText:=Memo1.SelText+Clipboard.AsText;
end;

procedure TForm1.ExitButtonClick(Sender: TObject);
begin
 Close;
end;

procedure TForm1.ClearButtonClick(Sender: TObject);
begin
 Clipboard.Clear;
end;

procedure TForm1.InfoButtonClick(Sender: TObject);
begin
 if Clipboard.HasFormat(CF_TEXT) then
  Application.MessageBox('Буфер содержит текст', 'Внимание!');
 if Clipboard.HasFormat(CF_BITMAP) then
  Application.MessageBox('Буфер содержит картинку', 'Внимание!');
 if Clipboard.HasFormat(CF_METAFILEPICT) then
  Application.MessageBox('Буфер содержит векторную картинку', 'Внимание!');
 if Clipboard.HasFormat(CF_PICTURE) then
  Application.MessageBox('Буфер содержит объект типа TPicture', 'Внимание!');
 if Clipboard.HasFormat(CF_COMPONENT) then
  Application.MessageBox('Буфер содержит компонент', 'Внимание!');
end;

end.
